Get model performance metrics
curl --request GET \
--url https://acusight.io/api/pipeline-data/models/performance \
--header 'Authorization: Bearer <token>'import requests
url = "https://acusight.io/api/pipeline-data/models/performance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://acusight.io/api/pipeline-data/models/performance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://acusight.io/api/pipeline-data/models/performance",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://acusight.io/api/pipeline-data/models/performance"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://acusight.io/api/pipeline-data/models/performance")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://acusight.io/api/pipeline-data/models/performance")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"end_time": "<string>",
"models": [
{
"avg_confidence": 123,
"detection_count": 123,
"device_count": 123,
"max_confidence": 123,
"min_confidence": 123,
"model_id": "<string>",
"model_name": "<string>",
"model_version": "<string>",
"unique_labels": 123
}
],
"start_time": "<string>",
"time_range": "<string>"
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}Pipeline data
Get model performance metrics
Returns per-model statistics including detection count, confidence stats, unique labels, and device count.
GET
/
pipeline-data
/
models
/
performance
Get model performance metrics
curl --request GET \
--url https://acusight.io/api/pipeline-data/models/performance \
--header 'Authorization: Bearer <token>'import requests
url = "https://acusight.io/api/pipeline-data/models/performance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://acusight.io/api/pipeline-data/models/performance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://acusight.io/api/pipeline-data/models/performance",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://acusight.io/api/pipeline-data/models/performance"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://acusight.io/api/pipeline-data/models/performance")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://acusight.io/api/pipeline-data/models/performance")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"end_time": "<string>",
"models": [
{
"avg_confidence": 123,
"detection_count": 123,
"device_count": 123,
"max_confidence": 123,
"min_confidence": 123,
"model_id": "<string>",
"model_name": "<string>",
"model_version": "<string>",
"unique_labels": 123
}
],
"start_time": "<string>",
"time_range": "<string>"
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}Authorizations
JWT access token. Paste the token only; the Bearer prefix is added automatically.
Query Parameters
Time range: 1h, 24h, 7d, 30d (default: 1h)
Filter by model ID
Filter by device ID
Filter by multiple device IDs
Filter by fleet (Portainer endpoint ID)
Filter by multiple fleets
Was this page helpful?